Bug 164848 - ofxdump crashes on test file
ofxdump crashes on test file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libofx (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 15:44 EDT by Jerry Amundson
Modified: 2014-03-16 22:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 23:00:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ofxdump trace, stderr, stdout, and test file (3.01 KB, application/x-gzip)
2005-08-01 15:46 EDT, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2005-08-01 15:44:03 EDT
Description of problem:
The test file was snipped from a file downloaded from a bank. Other distros
appear to read it fine. Per the projects developer:
From: Benoit <bock@st...>
Re: Re: OFX Plugin crash  
2005-08-01 13:48:09

On August 1, 2005 02:02 pm, Jerry Amundson wrote:
> On Mon August 1 2005 09:21, Benoit Grégoire wrote:
> > On August 1, 2005 02:52 am, Jerry Amundson wrote:
> > > ofxdump trace, stdout, stderr, and test file attached. Running
> > > fully updated FC4 :
> > > libofx-devel-0.7.0-3
> > > openjade-devel-1.3.2-16
> >
> > You should have an OpenSP-devel package available somewhere.  Try to
> > add that.
>
> jerry@elm:~$ onsgmls -v
> onsgmls:I: "OpenSP" version "1.5"

So at least it's the right version.

I don't know what's wrong, I suspect it's a package that wasn't properly 
recompiled when they updated the distro.
-- 
Benoit Grégoire, http://benoitg.coeus.ca/

Version-Release number of selected component (if applicable):
libofx-devel-0.7.0-3

How reproducible:
Every time.

Steps to Reproduce:
1. Unpack .ofx file
2. Run "ofxdump file"
3. Note crash 
  
Actual results:
jerry@elm:~$ ofxdump Test2_Check_8_History.ofx
LibOFX INFO: libofx_proc_file(): File format not specified, autodecting...
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: libofx_proc_file(): Detected file format: OFX (Open Financial
eXchange (OFX or QFX))
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <USERS.TYPE>3

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed:
<USERS.PRIMACN>214865

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <INTU.BID>11137

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <INTU.USERID>214865

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed:
<USERS.DTLASTLOGIN>20050731110050.998

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <USERS.STMT>

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: </USERS.STMT>

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX STATUS: find_dtd():DTD found: /usr/share/libofx/dtd/opensp.dcl
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX STATUS: find_dtd():DTD found: /usr/share/libofx/dtd/ofx160.dtd
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate SIGNONMSGSRSV1
(Above message occured on Line 2, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate SONRS
(Above message occured on Line 3, Column 1)
ofx_proc_status():
    Ofx entity this status is relevent to: SONRS
    Severity: INFO
    Code: 0, name: Success
    Description: The server successfully processed the request.
    Server Message: Signon OK

LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate FI
(Above message occured on Line 13, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate BANKMSGSRSV1
(Above message occured on Line 19, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate STMTTRNRS
(Above message occured on Line 20, Column 1)
ofx_proc_status():
    Ofx entity this status is relevent to: STMTTRNRS
    Severity: INFO
    Code: 0, name: Success
    Description: The server successfully processed the request.
    Server Message: Statement OK

LibOFX ERROR: OpenSP parser: otherError (misc parse error):
/tmp/libofxtmpM5bMFQ:45:7:E: element "TRNBAL" undefined

(Above message occured on Line 45, Column 8)
LibOFX ERROR: startElement: incoming_data should be empty! You are probably
using OpenSP <= 1.3.4.  The folowing data was lost: WITHDRAWAL  @ GREAT CLIPS
#131 EAGAN MNUS  Trace #21
(Above message occured on Line 45, Column 1)
LibOFX ERROR: startElement: incoming_data should be empty! You are probably
using OpenSP <= 1.3.4.  The folowing data was lost: 151.93
(Above message occured on Line 46, Column 1)
LibOFX ERROR: OpenSP parser: otherError (misc parse error):
/tmp/libofxtmpM5bMFQ:47:12:E: element "TRACENUMBER" undefined

(Above message occured on Line 47, Column 13)
LibOFX ERROR: WRITEME: TRACENUMBER (21) is not supported by the TRANSACTION
container
(Above message occured on Line 48, Column 1)
LibOFX ERROR: Tried to close a TRNBAL but a TRANSACTION is currently open.
(Above message occured on Line 48, Column 1)
LibOFX ERROR: Tried to close a MEMO but a TRANSACTION is currently open.
(Above message occured on Line 48, Column 1)
ofx_proc_account():
    Account ID: 383465924  214865=6
    Account name: Bank account 214865=6
    Account type: CHECKING
    Currency: USD

ofx_proc_statement():
    Currency: USD
    Account ID: 383465924  214865=6
    Start date of this statement: Fri Jul 29 12:00:00 2005 CDT
    End date of this statement: Fri Jul  1 12:00:00 2005 CDT
    Ledger balance: 151.93
    Available balance: 151.93

ofx_proc_transaction():
    Account ID : 383465924  214865=6
    Transaction type: POS: Point of sale debit or credit (Note: Depends on
signage of amount)
    Date initiated: Fri Jul 29 12:00:00 2005 CDT
    Date posted: Sat Jul 30 12:00:00 2005 CDT
    Total money amount: -24.57
    # of units: 24.57
    Unit price: 1.00
    Financial institution's ID for this transaction: 60110_8235
    Name of payee or transaction description: GREAT CLIPS #131 EAGAN MNUS

*** glibc detected *** ofxdump: free(): invalid pointer: 0x0928d150 ***
======= Backtrace: =========
/lib/libc.so.6[0x67e424]
/lib/libc.so.6(__libc_free+0x77)[0x67e95f]
/usr/lib/libstdc++.so.6(_ZdlPv+0x21)[0x9f89c9]
/usr/lib/libosp.so.3(_ZN6OpenSP6VectorIPNS_16LeafContentTokenEED1Ev+0x49)[0x2d91fd]
/usr/lib/libosp.so.3(_ZN6OpenSP18InitialPseudoTokenD0Ev+0x37)[0x2dabf9]
/usr/lib/libosp.so.3(_ZN6OpenSP5OwnerINS_16LeafContentTokenEED1Ev+0x2f)[0x2b9675]
/usr/lib/libosp.so.3(_ZN6OpenSP5OwnerINS_18CompiledModelGroupEED1Ev+0x34)[0x2b96b0]
/usr/lib/libosp.so.3(_ZN6OpenSP3PtrINS_17ElementDefinitionEED2Ev+0x71)[0x2bddc7]
/usr/lib/libosp.so.3(_ZN6OpenSP11ParserStateD2Ev+0x368)[0x314288]
/usr/lib/libosp.so.3(_ZN6OpenSP6ParserD0Ev+0x3b)[0x3148e9]
/usr/lib/libosp.so.3(_ZN6OpenSP10SgmlParserD1Ev+0x17)[0x3358f7]
/usr/lib/libosp.so.3(_ZN6OpenSP20ParserEventGeneratorD0Ev+0x4b)[0x316957]
/usr/lib/libofx.so.1(_Z13ofx_proc_sgmlP13LibofxContextiPPc+0x1ea)[0x411c0a]
/usr/lib/libofx.so.1(ofx_proc_file+0x1076)[0x3f850c]
/usr/lib/libofx.so.1(libofx_proc_file+0x28c)[0x3f5196]
ofxdump[0x804b30e]
/lib/libc.so.6(__libc_start_main+0xc6)[0x62fde6]
ofxdump(__gxx_personality_v0+0x9d)[0x8048e81]
======= Memory map: ========
0021e000-003bd000 r-xp 00000000 fd:00 1476455    /usr/lib/libosp.so.3.0.0
003bd000-003e0000 rwxp 0019e000 fd:00 1476455    /usr/lib/libosp.so.3.0.0
003e0000-003e8000 rwxp 003e0000 00:00 0
003ea000-00421000 r-xp 00000000 fd:00 1479606    /usr/lib/libofx.so.1.0.0
00421000-00423000 rwxp 00036000 fd:00 1479606    /usr/lib/libofx.so.1.0.0
005b6000-005c8000 r-xp 00000000 fd:00 947991     /lib/libnsl-2.3.5.so
005c8000-005c9000 r-xp 00011000 fd:00 947991     /lib/libnsl-2.3.5.so
005c9000-005ca000 rwxp 00012000 fd:00 947991     /lib/libnsl-2.3.5.so
005ca000-005cc000 rwxp 005ca000 00:00 0
005d5000-005de000 r-xp 00000000 fd:00 947815     /lib/libgcc_s-4.0.1-20050727.so.1
005de000-005df000 rwxp 00009000 fd:00 947815     /lib/libgcc_s-4.0.1-20050727.so.1
005fd000-00617000 r-xp 00000000 fd:00 947979     /lib/ld-2.3.5.so
00617000-00618000 r-xp 00019000 fd:00 947979     /lib/ld-2.3.5.so
00618000-00619000 rwxp 0001a000 fd:00 947979     /lib/ld-2.3.5.so
0061b000-0073f000 r-xp 00000000 fd:00 947980     /lib/libc-2.3.5.so
0073f000-00741000 r-xp 00124000 fd:00 947980     /lib/libc-2.3.5.so
00741000-00743000 rwxp 00126000 fd:00 947980     /lib/libc-2.3.5.so
00743000-00745000 rwxp 00743000 00:00 0
00747000-00769000 r-xp 00000000 fd:00 947981     /lib/libm-2.3.5.so
00769000-0076a000 r-xp 00021000 fd:00 947981     /lib/libm-2.3.5.so
0076a000-0076b000 rwxp 00022000 fd:00 947981     /lib/libm-2.3.5.so
007b7000-007b8000 r-xp 007b7000 00:00 0
008fa000-00908000 r-xp 00000000 fd:00 947983     /lib/libpthread-2.3.5.so
00908000-00909000 r-xp 0000d000 fd:00 947983     /lib/libpthread-2.3.5.so
00909000-0090a000 rwxp 0000e000 fd:00 947983     /lib/libpthread-2.3.5.so
0090a000-0090c000 rwxp 0090a000 00:00 0
00944000-00a24000 r-xp 00000000 fd:00 1468890    /usr/lib/libstdc++.so.6.0.5
00a24000-00a29000 rwxp 000df000 fd:00 1468890    /usr/lib/libstdc++.so.6.0.5
00a29000-00a2f000 rwxp 00a29000 00:00 0
08048000-0804d000 r-xp 00000000 fd:00 1475796    /usr/bin/ofxdump
0804d000-0804f000 rw-p 00004000 fd:00 1475796    /usr/bin/ofxdump
09147000-09326000 rw-p 09147000 00:00 0          [heap]
b7d00000-b7d21000 rw-p b7d00000 00:00 0
b7d21000-b7e00000 ---p b7d21000 00:00 0
b7ecc000-b7ecd000 rw-p b7ecc000 00:00 0
b7eee000-b7ef1000 rw-p b7eee000 00:00 0
bfef3000-bff09000 rw-p bfef3000 00:00 0          [stack]
Aborted


Expected results:
jerry@elm:~$ ofxdump Test2ok_Check_8_History.ofx
LibOFX INFO: libofx_proc_file(): File format not specified, autodecting...
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: libofx_proc_file(): Detected file format: OFX (Open Financial
eXchange (OFX or QFX))
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <USERS.TYPE>3

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed:
<USERS.PRIMACN>214865

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <INTU.BID>11137

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <INTU.USERID>214865

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed:
<USERS.DTLASTLOGIN>20050731110050.998

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <USERS.STMT>

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: </USERS.STMT>

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX STATUS: find_dtd():DTD found: /usr/share/libofx/dtd/opensp.dcl
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX STATUS: find_dtd():DTD found: /usr/share/libofx/dtd/ofx160.dtd
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate SIGNONMSGSRSV1
(Above message occured on Line 2, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate SONRS
(Above message occured on Line 3, Column 1)
ofx_proc_status():
    Ofx entity this status is relevent to: SONRS
    Severity: INFO
    Code: 0, name: Success
    Description: The server successfully processed the request.
    Server Message: Signon OK

LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate FI
(Above message occured on Line 13, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate BANKMSGSRSV1
(Above message occured on Line 19, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate STMTTRNRS
(Above message occured on Line 20, Column 1)
ofx_proc_status():
    Ofx entity this status is relevent to: STMTTRNRS
    Severity: INFO
    Code: 0, name: Success
    Description: The server successfully processed the request.

LibOFX ERROR: OpenSP parser: otherError (misc parse error):
/tmp/libofxtmp4uE7yd:44:7:E: element "TRNBAL" undefined

(Above message occured on Line 44, Column 8)
LibOFX ERROR: startElement: incoming_data should be empty! You are probably
using OpenSP <= 1.3.4.  The folowing data was lost: WITHDRAWAL  @ GREAT CLIPS
#131 EAGAN MNUS  Trace #21
(Above message occured on Line 44, Column 1)
LibOFX ERROR: startElement: incoming_data should be empty! You are probably
using OpenSP <= 1.3.4.  The folowing data was lost: 151.93
(Above message occured on Line 45, Column 1)
LibOFX ERROR: OpenSP parser: otherError (misc parse error):
/tmp/libofxtmp4uE7yd:46:12:E: element "TRACENUMBER" undefined

(Above message occured on Line 46, Column 13)
LibOFX ERROR: WRITEME: TRACENUMBER (21) is not supported by the TRANSACTION
container
(Above message occured on Line 47, Column 1)
LibOFX ERROR: Tried to close a TRNBAL but a TRANSACTION is currently open.
(Above message occured on Line 47, Column 1)
LibOFX ERROR: Tried to close a MEMO but a TRANSACTION is currently open.
(Above message occured on Line 47, Column 1)
ofx_proc_account():
    Account ID: 383465924  214865=6
    Account name: Bank account 214865=6
    Account type: CHECKING
    Currency: USD

ofx_proc_statement():
    Currency: USD
    Account ID: 383465924  214865=6
    Start date of this statement: Fri Jul 29 12:00:00 2005 CDT
    End date of this statement: Fri Jul  1 12:00:00 2005 CDT
    Ledger balance: 151.93
    Available balance: 151.93

ofx_proc_transaction():
    Account ID : 383465924  214865=6
    Transaction type: POS: Point of sale debit or credit (Note: Depends on
signage of amount)
    Date initiated: Fri Jul 29 12:00:00 2005 CDT
    Date posted: Sat Jul 30 12:00:00 2005 CDT
    Total money amount: -24.57
    # of units: 24.57
    Unit price: 1.00
    jerry@elm:~$ ofxdump Test2ok_Check_8_History.ofx
LibOFX INFO: libofx_proc_file(): File format not specified, autodecting...
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: libofx_proc_file(): Detected file format: OFX (Open Financial
eXchange (OFX or QFX))
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <USERS.TYPE>3

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed:
<USERS.PRIMACN>214865

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <INTU.BID>11137

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <INTU.USERID>214865

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed:
<USERS.DTLASTLOGIN>20050731110050.998

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: <USERS.STMT>

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: sanitize_proprietary_tags() (end of line) removed: </USERS.STMT>

(Above message occured on Line 4294967295, Column 4294967295)
LibOFX STATUS: find_dtd():DTD found: /usr/share/libofx/dtd/opensp.dcl
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX STATUS: find_dtd():DTD found: /usr/share/libofx/dtd/ofx160.dtd
(Above message occured on Line 4294967295, Column 4294967295)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate SIGNONMSGSRSV1
(Above message occured on Line 2, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate SONRS
(Above message occured on Line 3, Column 1)
ofx_proc_status():
    Ofx entity this status is relevent to: SONRS
    Severity: INFO
    Code: 0, name: Success
    Description: The server successfully processed the request.
    Server Message: Signon OK

LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate FI
(Above message occured on Line 13, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate BANKMSGSRSV1
(Above message occured on Line 19, Column 1)
LibOFX INFO: Created OfxDummyContainer to hold unsupported aggregate STMTTRNRS
(Above message occured on Line 20, Column 1)
ofx_proc_status():
    Ofx entity this status is relevent to: STMTTRNRS
    Severity: INFO
    Code: 0, name: Success
    Description: The server successfully processed the request.

LibOFX ERROR: OpenSP parser: otherError (misc parse error):
/tmp/libofxtmp4uE7yd:44:7:E: element "TRNBAL" undefined

(Above message occured on Line 44, Column 8)
LibOFX ERROR: startElement: incoming_data should be empty! You are probably
using OpenSP <= 1.3.4.  The folowing data was lost: WITHDRAWAL  @ GREAT CLIPS
#131 EAGAN MNUS  Trace #21
(Above message occured on Line 44, Column 1)
LibOFX ERROR: startElement: incoming_data should be empty! You are probably
using OpenSP <= 1.3.4.  The folowing data was lost: 151.93
(Above message occured on Line 45, Column 1)
LibOFX ERROR: OpenSP parser: otherError (misc parse error):
/tmp/libofxtmp4uE7yd:46:12:E: element "TRACENUMBER" undefined

(Above message occured on Line 46, Column 13)
LibOFX ERROR: WRITEME: TRACENUMBER (21) is not supported by the TRANSACTION
container
(Above message occured on Line 47, Column 1)
LibOFX ERROR: Tried to close a TRNBAL but a TRANSACTION is currently open.
(Above message occured on Line 47, Column 1)
LibOFX ERROR: Tried to close a MEMO but a TRANSACTION is currently open.
(Above message occured on Line 47, Column 1)
ofx_proc_account():
    Account ID: 383465924  214865=6
    Account name: Bank account 214865=6
    Account type: CHECKING
    Currency: USD

ofx_proc_statement():
    Currency: USD
    Account ID: 383465924  214865=6
    Start date of this statement: Fri Jul 29 12:00:00 2005 CDT
    End date of this statement: Fri Jul  1 12:00:00 2005 CDT
    Ledger balance: 151.93
    Available balance: 151.93

ofx_proc_transaction():
    Account ID : 383465924  214865=6
    Transaction type: POS: Point of sale debit or credit (Note: Depends on
signage of amount)
    Date initiated: Fri Jul 29 12:00:00 2005 CDT
    Date posted: Sat Jul 30 12:00:00 2005 CDT
    Total money amount: -24.57
    # of units: 24.57
    Unit price: 1.00
    Financial institution's ID for this transaction: 60110_8235
    Name of payee or transaction description: GREAT CLIPS #131 EAGAN MNUS

Financial institution's ID for this transaction: 60110_8235
    Name of payee or transaction description: GREAT CLIPS #131 EAGAN MNUS


Additional info:
With the Expected results, the second MESSAGE tag was removed.
Comment 1 Jerry Amundson 2005-08-01 15:46:49 EDT
Created attachment 117353 [details]
ofxdump trace, stderr, stdout, and test file
Comment 2 Bill Nottingham 2006-08-07 14:08:39 EDT
I've reproduced this on rawhide... however, this does indicate an error in
libofx; it's not a rebuild/compile issue. Moving to 'devel'.
Comment 3 Bill Nottingham 2007-01-08 23:00:19 EST
This seems to work with 0.8.2-1 - closing.

Note You need to log in before you can comment on or make changes to this bug.